{% load i18n %}
<div id="search-bar">
  <form class="search-bar" action="{% url 'search' %}" method="get">
    <div class="field has-addons has-addons-centered">
      {% if corpora.list %}
        <p class="control is-expanded">
          <input name="query"
                 class="input"
                 type="text"
                 placeholder="{% trans "Escribe términos de búsqueda" %}"
                 value="{{ results.meta.search.query }}"
                 autofocus />
        </p>
        <p class="control">
          {% if corpora.list|length > 1 %}
            <span class="select">
              <select name="corpus">
                {% for corpus in corpora.list %}
                  <option value="{{ corpus.id_upper }}"
                          {% if forloop.first and selected_corpus is None or corpus.id_upper == selected_corpus %}selected{% endif %}>{{ corpus.name }}</option>
                {% endfor %}
              </select>
            </span>
          {% else %}
            <input name="corpus" type="hidden" value="{{ corpora.list.0.id }}" />
          {% endif %}
        </p>
        <p class="control">
          <span class="select">
            <select name="mode">
              <option value="simple" {% if selected_mode == "simple" %}selected{% endif %}>{% trans "Simple" %}</option>
              <option value="cqp" {% if selected_mode == "cqp" %}selected{% endif %}>{% trans "CQP" %}</option>
            </select>
          </span>
        </p>
        <p class="control submit">
          <button class="button is-primary" type="submit" value="">
            <svg width="20"
                 height="20"
                 fill="white"
                 class="bi bi-search"
                 viewBox="0 0 16 16">
              <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z" />
            </svg>
          </button>
        </p>
      {% else %}
        {% include "common/box.html" with type="primary" msg=corpora.error %}
      {% endif %}
    </div>
  </form>
</div>
